CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* Maintainers


INTRODUCTION
------------

Integration of the <a href="https://developers.novaposhta.ua/">Novaposhta API
2.0</a> with Commerce Shipping. Provides estimated shipping costs and warehouses
selection of Novaposhta services. This module should be used by those that want
to provide Novaposhta shipping to their customers.

* For a full description of the module, visit the project page:
  https://www.drupal.org/project/commerce_novaposhta

* To submit bug reports and feature suggestions, or track changes:
  https://www.drupal.org/project/issues/commerce_novaposhta


REQUIREMENTS
------------

This module requires:
* <a href="http://my.novaposhta.ua">Novaposhta account</a> and
  <a href="https://my.novaposhta.ua/settings/index#apikeys">API Key</a>
* <a href="https://www.drupal.org/project/commerce_shipping">Commerce
  Shipping</a> module


INSTALLATION
------------

* Install as you would normally install a contributed Drupal module. Visit
  https://www.drupal.org/documentation/install/modules-themes/modules-8 for
  further information.


CONFIGURATION
-------------

1. Add dimensions and weight fields (new field types via the Physical module)
   to all shippable product types.
2. Populate dimensions and weight fields for all products.
3. Configure Novaposhta settings in Administration » Configuration » Web
   services » Commerce Novaposhta (/admin/config/services/commerce-novaposhta).
4. Add Novaposhta shipping method (/admin/commerce/shipping-methods).


MAINTAINERS
-----------

Current maintainers:
* Oleksandr Yushchenko (oleksandr-yushchenko) -
  https://www.drupal.org/user/3559498
* Mykhailo Gurei (ozin) - https://www.drupal.org/user/2752909
